POST
/lending/v1/products/{product_id}/pricingSchedule price configuration
The lending/v1/products/{product_id}/pricing endpoint allows you to schedule a new pricing configuration for a product with status ACTIVE or PAUSED.
start_dateis compared with the current country date of the product. It must be after that date and at most 12 months later (inclusive); otherwise, it is rejected with 400INVALID_PRICING_START_DATE. The current date is not accepted.- There can only be one pending update (with
start_dateafter the current date of the country). If one already exists, it is rejected with 400ALREADY_EXIST_PRICING_PRODUCT; to change it, usePATCH lending/v1/products/{product_id}/pricing/{start_date}. - If the product is
INACTIVE, it is rejected with 400INELIGIBLE_PRICING_PRODUCT. - The same rules for rates and fees by country apply as when creating the product.
- If the product does not exist, it responds 404
PRODUCT_NOT_FOUND.
Available parameters
Variant:
This endpoint accepts multiple body types. Select a variant to see its parameters and example.
Path Parameters
product_idStringrequired
Cuerpo de solicitud
application/jsonstart_datestringdaterequired
ratesobjectrequired4 properties
feesarrayrequired5 properties
Autenticación
🔒BearerAuthhttp
Response details
401
The token is missing or invalid. The response has no body.
403
No body. The token is valid but does not have the scope required by the endpoint.
Ejemplo de solicitud
{
"start_date": "2026-12-01",
"rates": {
"financing": "11.90",
"late_fee": "2.00",
"cash_advance": "14.00",
"revolving": "13.90"
},
"fees": [
{
"name": "annual_fee",
"amount": "220.00",
"frequency": "YEARLY"
},
{
"name": "cash_advance_fee",
"amount": "12.00",
"frequency": "PER_OPERATION",
"operation": "CASH_ADVANCE"
}
]
}Ejemplo de código
curl -X POST "https://api.pomelo.la/lending/v1/products/example_value/pricing" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"start_date": "2026-12-01",
"rates": {
"financing": "11.90",
"late_fee": "2.00",
"cash_advance": "14.00",
"revolving": "13.90"
},
"fees": [
{
"name": "annual_fee",
"amount": "220.00",
"frequency": "YEARLY"
},
{
"name": "cash_advance_fee",
"amount": "12.00",
"frequency": "PER_OPERATION",
"operation": "CASH_ADVANCE"
}
]
}'Ejemplo de respuesta (201)Created
{
"data": {
"start_date": "2026-12-01",
"rates": {
"financing": "12.50",
"late_fee": "2.00",
"cash_advance": "15.00",
"international_cash_advance": "2.50",
"revolving": "14.90",
"revolving_by_limit": [
{
"from_amount": "0",
"unit_type": "UF",
"rate": "1.90"
}
]
},
"fees": [
{
"name": "annual_fee",
"amount": "250.00",
"currency": "USD",
"frequency": "YEARLY",
"operation": "CASH_ADVANCE",
"type": "FLAT"
}
],
"issuer_installment_rates": [
{
"from_amount": "0",
"min_installments": 1,
"max_installments": 12,
"annual_rate": "24.00"
}
]
}
}